Loading...
Searching...
No Matches
MaxWeightedMatching< GR, WM >::BlossomIt Class Reference

## Detailed Description

template<typename GR, typename WM>
class lemon::MaxWeightedMatching< GR, WM >::BlossomIt

This class provides an iterator for obtaining the nodes of the given blossom. It lists a subset of the nodes. Before using this iterator, you must allocate a MaxWeightedMatching class and execute it.

`#include <lemon/matching.h>`

## Public Member Functions

| BlossomIt (const MaxWeightedMatching &algorithm, int variable)
| Constructor.
| operator Node () const
| Conversion to `Node`.
BlossomIt & | operator++ ()
| Increment operator.
bool | operator== (Invalid) const
| Validity checking.
bool | operator!= (Invalid) const
| Validity checking.

## Constructor & Destructor Documentation

## BlossomIt()

template<typename GR, typename WM>

BlossomIt | ( | const MaxWeightedMatching & | algorithm,
|  | int | variable )

inline

Constructor to get the nodes of the given variable.

Precondition
  Either algorithm.run() or algorithm.start() must be called before initializing this iterator.

## Member Function Documentation

## operator Node()

template<typename GR, typename WM>

operator Node | ( |  | ) | const

inline

Conversion to `Node`.

## operator++()

template<typename GR, typename WM>

BlossomIt & operator++ | ( |  | ) |

inline

Increment operator.

## operator==()

template<typename GR, typename WM>

bool operator== | ( | Invalid |  | ) | const

inline

Checks whether the iterator is invalid.

## operator!=()

template<typename GR, typename WM>

bool operator!= | ( | Invalid |  | ) | const

inline

Checks whether the iterator is valid.